import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		id: commonLogic.appcommonhandle("应用标识",null),
		label: commonLogic.appcommonhandle("应用名",null),
		systemid: commonLogic.appcommonhandle("系统标识",null),
		fullname: commonLogic.appcommonhandle("全称",null),
		type: commonLogic.appcommonhandle("类型",null),
		group: commonLogic.appcommonhandle("分组",null),
		icon: commonLogic.appcommonhandle("图标",null),
		visabled: commonLogic.appcommonhandle("可见",null),
		addr: commonLogic.appcommonhandle("地址",null),
	},
		views: {
			gridview: {
				caption: commonLogic.appcommonhandle("应用",null),
				title: commonLogic.appcommonhandle("应用表格视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("应用",null),
				title: commonLogic.appcommonhandle("应用编辑视图",null),
			},
			pickupgridview: {
				caption: commonLogic.appcommonhandle("应用",null),
				title: commonLogic.appcommonhandle("应用选择表格视图",null),
			},
			pickupview: {
				caption: commonLogic.appcommonhandle("应用",null),
				title: commonLogic.appcommonhandle("应用数据选择视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("应用基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("应用标识",null), 
				srfmajortext: commonLogic.appcommonhandle("应用名",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				appid: commonLogic.appcommonhandle("应用标识",null), 
				appname: commonLogic.appcommonhandle("应用名",null), 
				fullname: commonLogic.appcommonhandle("全称",null), 
				apptype: commonLogic.appcommonhandle("类型",null), 
				appgroup: commonLogic.appcommonhandle("分组",null), 
				pssystemid: commonLogic.appcommonhandle("系统标识",null), 
				visabled: commonLogic.appcommonhandle("可见",null), 
				icon: commonLogic.appcommonhandle("图标",null), 
				addr: commonLogic.appcommonhandle("地址",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				appid: commonLogic.appcommonhandle("应用标识",null),
				appname: commonLogic.appcommonhandle("应用名",null),
				fullname: commonLogic.appcommonhandle("全称",null),
				apptype: commonLogic.appcommonhandle("类型",null),
				appgroup: commonLogic.appcommonhandle("分组",null),
				icon: commonLogic.appcommonhandle("图标",null),
				addr: commonLogic.appcommonhandle("地址",null),
				visabled: commonLogic.appcommonhandle("可见",null),
				pssystemid: commonLogic.appcommonhandle("系统标识",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_appname_like: commonLogic.appcommonhandle("应用名(文本包含(%))",null), 
				n_apptype_eq: commonLogic.appcommonhandle("类型(等于(=))",null), 
				n_pssystemid_eq: commonLogic.appcommonhandle("系统标识(等于(=))",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
		editviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("删除并关闭",null),
				tip: commonLogic.appcommonhandle("删除并关闭",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem12: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem14: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("保存并新建",null),
				tip: commonLogic.appcommonhandle("保存并新建",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("第一个记录",null),
				tip: commonLogic.appcommonhandle("第一个记录",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("上一个记录",null),
				tip: commonLogic.appcommonhandle("上一个记录",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("下一个记录",null),
				tip: commonLogic.appcommonhandle("下一个记录",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("最后一个记录",null),
				tip: commonLogic.appcommonhandle("最后一个记录",null),
			},
			tbitem22: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;